Issue boleto
curl --request POST \
--url https://api.fincle.com.br/boleto \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amountInCents": 25000,
"description": "Invoice no. 2026/001042",
"customer": {
"name": "Helena Martins Andrade",
"email": "helena.andrade@example.com",
"documentType": "cpf",
"document": "31845792041",
"phone": "11932104567",
"billingAddress": {
"street": "Avenida Paulista",
"number": "1374",
"neighborhood": "Bela Vista",
"city": "São Paulo",
"state": "SP",
"zipCode": "01310100"
}
}
}
'import requests
url = "https://api.fincle.com.br/boleto"
payload = {
"amountInCents": 25000,
"description": "Invoice no. 2026/001042",
"customer": {
"name": "Helena Martins Andrade",
"email": "helena.andrade@example.com",
"documentType": "cpf",
"document": "31845792041",
"phone": "11932104567",
"billingAddress": {
"street": "Avenida Paulista",
"number": "1374",
"neighborhood": "Bela Vista",
"city": "São Paulo",
"state": "SP",
"zipCode": "01310100"
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amountInCents: 25000,
description: 'Invoice no. 2026/001042',
customer: {
name: 'Helena Martins Andrade',
email: 'helena.andrade@example.com',
documentType: 'cpf',
document: '31845792041',
phone: '11932104567',
billingAddress: {
street: 'Avenida Paulista',
number: '1374',
neighborhood: 'Bela Vista',
city: 'São Paulo',
state: 'SP',
zipCode: '01310100'
}
}
})
};
fetch('https://api.fincle.com.br/boleto', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fincle.com.br/boleto",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'amountInCents' => 25000,
'description' => 'Invoice no. 2026/001042',
'customer' => [
'name' => 'Helena Martins Andrade',
'email' => 'helena.andrade@example.com',
'documentType' => 'cpf',
'document' => '31845792041',
'phone' => '11932104567',
'billingAddress' => [
'street' => 'Avenida Paulista',
'number' => '1374',
'neighborhood' => 'Bela Vista',
'city' => 'São Paulo',
'state' => 'SP',
'zipCode' => '01310100'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fincle.com.br/boleto"
payload := strings.NewReader("{\n \"amountInCents\": 25000,\n \"description\": \"Invoice no. 2026/001042\",\n \"customer\": {\n \"name\": \"Helena Martins Andrade\",\n \"email\": \"helena.andrade@example.com\",\n \"documentType\": \"cpf\",\n \"document\": \"31845792041\",\n \"phone\": \"11932104567\",\n \"billingAddress\": {\n \"street\": \"Avenida Paulista\",\n \"number\": \"1374\",\n \"neighborhood\": \"Bela Vista\",\n \"city\": \"São Paulo\",\n \"state\": \"SP\",\n \"zipCode\": \"01310100\"\n }\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.fincle.com.br/boleto")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"amountInCents\": 25000,\n \"description\": \"Invoice no. 2026/001042\",\n \"customer\": {\n \"name\": \"Helena Martins Andrade\",\n \"email\": \"helena.andrade@example.com\",\n \"documentType\": \"cpf\",\n \"document\": \"31845792041\",\n \"phone\": \"11932104567\",\n \"billingAddress\": {\n \"street\": \"Avenida Paulista\",\n \"number\": \"1374\",\n \"neighborhood\": \"Bela Vista\",\n \"city\": \"São Paulo\",\n \"state\": \"SP\",\n \"zipCode\": \"01310100\"\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fincle.com.br/boleto")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"amountInCents\": 25000,\n \"description\": \"Invoice no. 2026/001042\",\n \"customer\": {\n \"name\": \"Helena Martins Andrade\",\n \"email\": \"helena.andrade@example.com\",\n \"documentType\": \"cpf\",\n \"document\": \"31845792041\",\n \"phone\": \"11932104567\",\n \"billingAddress\": {\n \"street\": \"Avenida Paulista\",\n \"number\": \"1374\",\n \"neighborhood\": \"Bela Vista\",\n \"city\": \"São Paulo\",\n \"state\": \"SP\",\n \"zipCode\": \"01310100\"\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"message": "Transação criada com sucesso",
"data": {
"id": "cmddiqpxo09zf1yju2kqkhgga",
"boleto": {
"url": "https://boleto.example.com/cmddiqpxo09zf1yju2kqkhgga",
"barcode": "34191790010104351004791020150008291070026000",
"digitableLine": "34191.79001 01043.510047 91020.150008 2 91070026000",
"dueAt": "2026-11-15T00:00:00.000Z"
},
"status": "pending",
"fees": 349
}
}{
"success": false,
"message": "Documento inválido para o tipo selecionado"
}{
"success": false,
"message": "Não autorizado"
}Charges
Issue boleto
Issues a boleto and returns its viewing URL, barcode, digitable line and due date.
POST
/
boleto
Issue boleto
curl --request POST \
--url https://api.fincle.com.br/boleto \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amountInCents": 25000,
"description": "Invoice no. 2026/001042",
"customer": {
"name": "Helena Martins Andrade",
"email": "helena.andrade@example.com",
"documentType": "cpf",
"document": "31845792041",
"phone": "11932104567",
"billingAddress": {
"street": "Avenida Paulista",
"number": "1374",
"neighborhood": "Bela Vista",
"city": "São Paulo",
"state": "SP",
"zipCode": "01310100"
}
}
}
'import requests
url = "https://api.fincle.com.br/boleto"
payload = {
"amountInCents": 25000,
"description": "Invoice no. 2026/001042",
"customer": {
"name": "Helena Martins Andrade",
"email": "helena.andrade@example.com",
"documentType": "cpf",
"document": "31845792041",
"phone": "11932104567",
"billingAddress": {
"street": "Avenida Paulista",
"number": "1374",
"neighborhood": "Bela Vista",
"city": "São Paulo",
"state": "SP",
"zipCode": "01310100"
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amountInCents: 25000,
description: 'Invoice no. 2026/001042',
customer: {
name: 'Helena Martins Andrade',
email: 'helena.andrade@example.com',
documentType: 'cpf',
document: '31845792041',
phone: '11932104567',
billingAddress: {
street: 'Avenida Paulista',
number: '1374',
neighborhood: 'Bela Vista',
city: 'São Paulo',
state: 'SP',
zipCode: '01310100'
}
}
})
};
fetch('https://api.fincle.com.br/boleto', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fincle.com.br/boleto",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'amountInCents' => 25000,
'description' => 'Invoice no. 2026/001042',
'customer' => [
'name' => 'Helena Martins Andrade',
'email' => 'helena.andrade@example.com',
'documentType' => 'cpf',
'document' => '31845792041',
'phone' => '11932104567',
'billingAddress' => [
'street' => 'Avenida Paulista',
'number' => '1374',
'neighborhood' => 'Bela Vista',
'city' => 'São Paulo',
'state' => 'SP',
'zipCode' => '01310100'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fincle.com.br/boleto"
payload := strings.NewReader("{\n \"amountInCents\": 25000,\n \"description\": \"Invoice no. 2026/001042\",\n \"customer\": {\n \"name\": \"Helena Martins Andrade\",\n \"email\": \"helena.andrade@example.com\",\n \"documentType\": \"cpf\",\n \"document\": \"31845792041\",\n \"phone\": \"11932104567\",\n \"billingAddress\": {\n \"street\": \"Avenida Paulista\",\n \"number\": \"1374\",\n \"neighborhood\": \"Bela Vista\",\n \"city\": \"São Paulo\",\n \"state\": \"SP\",\n \"zipCode\": \"01310100\"\n }\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.fincle.com.br/boleto")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"amountInCents\": 25000,\n \"description\": \"Invoice no. 2026/001042\",\n \"customer\": {\n \"name\": \"Helena Martins Andrade\",\n \"email\": \"helena.andrade@example.com\",\n \"documentType\": \"cpf\",\n \"document\": \"31845792041\",\n \"phone\": \"11932104567\",\n \"billingAddress\": {\n \"street\": \"Avenida Paulista\",\n \"number\": \"1374\",\n \"neighborhood\": \"Bela Vista\",\n \"city\": \"São Paulo\",\n \"state\": \"SP\",\n \"zipCode\": \"01310100\"\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fincle.com.br/boleto")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"amountInCents\": 25000,\n \"description\": \"Invoice no. 2026/001042\",\n \"customer\": {\n \"name\": \"Helena Martins Andrade\",\n \"email\": \"helena.andrade@example.com\",\n \"documentType\": \"cpf\",\n \"document\": \"31845792041\",\n \"phone\": \"11932104567\",\n \"billingAddress\": {\n \"street\": \"Avenida Paulista\",\n \"number\": \"1374\",\n \"neighborhood\": \"Bela Vista\",\n \"city\": \"São Paulo\",\n \"state\": \"SP\",\n \"zipCode\": \"01310100\"\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"message": "Transação criada com sucesso",
"data": {
"id": "cmddiqpxo09zf1yju2kqkhgga",
"boleto": {
"url": "https://boleto.example.com/cmddiqpxo09zf1yju2kqkhgga",
"barcode": "34191790010104351004791020150008291070026000",
"digitableLine": "34191.79001 01043.510047 91020.150008 2 91070026000",
"dueAt": "2026-11-15T00:00:00.000Z"
},
"status": "pending",
"fees": 349
}
}{
"success": false,
"message": "Documento inválido para o tipo selecionado"
}{
"success": false,
"message": "Não autorizado"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json